List Tenant Roles

Lists all Roles within the Tenant.

GET
/v2/manage/roles

Lists all Roles within the Tenant.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/roles"
{
  "Data": [
    {
      "Id": "role_dsag432d",
      "Name": "Admin",
      "Description": "Admin Role",
      "Level": "tenant",
      "OrgId": "",
      "Permissions": [
        {
          "ID": "perm_2enk23n3",
          "Name": "read:users",
          "Description": "Read users data",
          "OriginalName": "read:users",
          "ResourceId": "507f1f77bcf86cd799439011"
        }
      ],
      "CreatedDate": "2023-10-01T00:00:00Z",
      "ModifiedDate": "2023-10-01T00:00:00Z"
    }
  ]
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}